/*******************************************************************************
 * Instance třídy Vec představují věci s cenou.
 *
 * @author    Luboš Pavlíček
 * @version   23. 11. 2011
 */
public class Vec
{
    //== Datové atributy (statické i instancí)======================================
    private String nazev;  // název/jméno věci
    private int cena;      // cena věci

    /***************************************************************************
     *  Pomocí konstruktoru se vytváří instance popisující věc.
     *  @param  nazev       název (jméno) věci
     *  @param  cena        cena věci,
     */
    public Vec(String nazev, int cena) {
        this.nazev = nazev;
        this.cena  = cena;
    }

    /**
     * metoda vrací název věci
     * @return   název věci
     */
    public String getNazev() {
        return nazev;
    }
    
    /**
     * metoda vrátí cenu věci
     * @return    cena věci
     */
    public int getCena() {
        return cena;
    }
    
    @Override
    public boolean equals(Object o) {
        if (o instanceof Vec) {
            Vec druha = (Vec) o;
            return nazev.equals(druha.nazev);
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return nazev.hashCode();
    }

}
